=== src/tests/CMakeLists.txt ===
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)

SET( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

# formattest includes fieldformat that include core/tellico_config.h
# which is generated in the build directory
INCLUDE_DIRECTORIES( ${Tellico_BINARY_DIR}/src )

add_executable(entitytest entitytest.cpp ../fieldformat.cpp)
ecm_mark_nongui_executable(entitytest)
add_test(entitytest entitytest)
ecm_mark_as_test(entitytest)
TARGET_LINK_LIBRARIES(entitytest utils config Qt5::Test )

add_executable(cuecattest cuecattest.cpp)
ecm_mark_nongui_executable(cuecattest)
add_test(cuecattest cuecattest)
ecm_mark_as_test(cuecattest)
TARGET_LINK_LIBRARIES(cuecattest utils Qt5::Test)

add_executable(isbntest isbntest.cpp)
ecm_mark_nongui_executable(isbntest)
add_test(isbntest isbntest)
ecm_mark_as_test(isbntest)
TARGET_LINK_LIBRARIES(isbntest utils Qt5::Test)

add_executable(lccntest lccntest.cpp)
ecm_mark_nongui_executable(lccntest)
add_test(lccntest lccntest)
ecm_mark_as_test(lccntest)
TARGET_LINK_LIBRARIES(lccntest utils Qt5::Test)

add_executable(lcctest lcctest.cpp ../field.cpp ../fieldformat.cpp)
ecm_mark_nongui_executable(lcctest)
add_test(lcctest lcctest)
ecm_mark_as_test(lcctest)
TARGET_LINK_LIBRARIES(lcctest tellicomodels Qt5::Test)

add_executable(formattest formattest.cpp ../fieldformat.cpp)
ecm_mark_nongui_executable(formattest)
add_test(formattest formattest)
ecm_mark_as_test(formattest)
TARGET_LINK_LIBRARIES(formattest config Qt5::Test)

add_executable(fieldtest fieldtest.cpp ../field.cpp ../fieldformat.cpp)
ecm_mark_nongui_executable(fieldtest)
add_test(fieldtest fieldtest)
ecm_mark_as_test(fieldtest)
TARGET_LINK_LIBRARIES(fieldtest config utils Qt5::Test)

add_executable(comparisontest comparisontest.cpp ../field.cpp ../fieldformat.cpp)
ecm_mark_nongui_executable(comparisontest)
add_test(comparisontest comparisontest)
ecm_mark_as_test(comparisontest)
TARGET_LINK_LIBRARIES(comparisontest tellicomodels Qt5::Test)

add_executable(imagetest imagetest.cpp ../utils/tellico_utils.cpp ../utils/guiproxy.cpp ../utils/cursorsaver.cpp ../fieldformat.cpp)
ecm_mark_nongui_executable(imagetest)
add_test(imagetest imagetest)
ecm_mark_as_test(imagetest)
TARGET_LINK_LIBRARIES(imagetest images KF5::Archive Qt5::Test)

add_executable(imagejobtest imagejobtest.cpp ../fieldformat.cpp)
ecm_mark_nongui_executable(imagejobtest)
add_test(imagejobtest imagejobtest)
ecm_mark_as_test(imagejobtest)
TARGET_LINK_LIBRARIES(imagejobtest images KF5::Archive Qt5::Test)

add_executable(iso6937test iso6937test.cpp)
ecm_mark_nongui_executable(iso6937test)
add_test(iso6937test iso6937test)
ecm_mark_as_test(iso6937test)
TARGET_LINK_LIBRARIES(iso6937test utils Qt5::Test)

SET(tellicotest_SRCS
   ../collection.cpp
   ../entry.cpp
   ../entrygroup.cpp
   ../entrycomparison.cpp
   ../field.cpp
   ../fieldformat.cpp
   ../filter.cpp
   ../borrower.cpp
   ../collectionfactory.cpp
   ../derivedvalue.cpp
   ../progressmanager.cpp
)

add_library(tellicotest STATIC ${tellicotest_SRCS})
TARGET_LINK_LIBRARIES(tellicotest Qt5::Core Qt5::Gui KF5::I18n KF5::ConfigWidgets)

ADD_DEPENDENCIES(tellicotest tellico_config)

SET(translatorstest_SRCS
  ../translators/tellicoimporter.cpp
  ../translators/xsltimporter.cpp
  ../translators/textimporter.cpp
  ../translators/dataimporter.cpp
  ../translators/importer.cpp
  ../translators/tellicoxmlhandler.cpp
  ../translators/tellico_xml.cpp
  ../translators/xmlstatehandler.cpp
  ../translators/xslthandler.cpp
)

add_library(translatorstest STATIC ${translatorstest_SRCS})
TARGET_LINK_LIBRARIES(translatorstest
  Qt5::Core
  Qt5::Gui
  Qt5::Widgets
  Qt5::Xml
  KF5::I18n
  KF5::Archive
  KF5::KIOWidgets
  KF5::ConfigWidgets
  ${LIBXML2_LIBRARIES}
  ${LIBXSLT_LIBRARIES}
  ${LIBXSLT_EXSLT_LIBRARIES}
)

set(TELLICO_TEST_LIBS
   tellicotest
   collections
   utils
   images
   core
   tellicomodels
   Qt5::Test
   KF5::KIOCore
   KF5::Archive
)

add_executable(collectiontest collectiontest.cpp
  ../document.cpp
  ../translators/tellicoxmlexporter.cpp
  ../translators/tellicozipexporter.cpp
  ../translators/exporter.cpp
)
ecm_mark_nongui_executable(collectiontest)
add_test(collectiontest collectiontest)
ecm_mark_as_test(collectiontest)
TARGET_LINK_LIBRARIES(collectiontest translatorstest ${TELLICO_TEST_LIBS})

add_executable(documenttest documenttest.cpp
  ../document.cpp
  ../translators/tellicoxmlexporter.cpp
  ../translators/tellicozipexporter.cpp
  ../translators/exporter.cpp
)
ecm_mark_nongui_executable(documenttest)
add_test(documenttest documenttest)
ecm_mark_as_test(documenttest)
TARGET_LINK_LIBRARIES(documenttest translatorstest ${TELLICO_TEST_LIBS})

add_executable(filtertest filtertest.cpp)
ecm_mark_nongui_executable(filtertest)
add_test(filtertest filtertest)
ecm_mark_as_test(filtertest)
TARGET_LINK_LIBRARIES(filtertest gui ${TELLICO_TEST_LIBS})

add_executable(tellicomodeltest tellicomodeltest.cpp modeltest.cpp
  ../document.cpp
  ../translators/tellicoimporter.cpp
  ../translators/dataimporter.cpp
  ../translators/importer.cpp
  ../translators/tellicoxmlexporter.cpp
  ../translators/tellicozipexporter.cpp
  ../translators/exporter.cpp
  ../translators/tellicoxmlhandler.cpp
  ../translators/tellico_xml.cpp
  ../translators/xmlstatehandler.cpp
)
ecm_mark_nongui_executable(tellicomodeltest)
add_test(tellicomodeltest tellicomodeltest)
ecm_mark_as_test(tellicomodeltest)
TARGET_LINK_LIBRARIES(tellicomodeltest ${TELLICO_TEST_LIBS} ${LIBXML2_LIBRARIES})

######################################################

add_executable(adstest adstest.cpp
  ../translators/adsimporter.cpp
  ../translators/importer.cpp
)
ecm_mark_nongui_executable(adstest)
add_test(adstest adstest)
ecm_mark_as_test(adstest)
TARGET_LINK_LIBRARIES(adstest ${TELLICO_TEST_LIBS})

add_executable(alexandriatest alexandriatest.cpp
  ../translators/alexandriaimporter.cpp
  ../translators/importer.cpp
  ../translators/alexandriaexporter.cpp
  ../translators/exporter.cpp
)
ecm_mark_nongui_executable(alexandriatest)
add_test(alexandriatest alexandriatest)
ecm_mark_as_test(alexandriatest)
TARGET_LINK_LIBRARIES(alexandriatest ${TELLICO_TEST_LIBS})

add_executable(amctest amctest.cpp
  ../translators/amcimporter.cpp
  ../translators/dataimporter.cpp
  ../translators/importer.cpp
)
ecm_mark_nongui_executable(amctest)
add_test(amctest amctest)
ecm_mark_as_test(amctest)
TARGET_LINK_LIBRARIES(amctest ${TELLICO_TEST_LIBS})

add_executable(bibtextest bibtextest.cpp
  ../translators/bibteximporter.cpp
  ../translators/importer.cpp
  ../translators/bibtexexporter.cpp
  ../translators/exporter.cpp
)
ecm_mark_nongui_executable(bibtextest)
add_test(bibtextest bibtextest)
ecm_mark_as_test(bibtextest)
TARGET_LINK_LIBRARIES(bibtextest ${TELLICO_BTPARSE_LIBS} ${TELLICO_TEST_LIBS})

add_executable(bibtexmltest bibtexmltest.cpp
  ../translators/bibtexmlimporter.cpp
  ../translators/bibtexmlexporter.cpp
  ../translators/exporter.cpp
)
ecm_mark_nongui_executable(bibtexmltest)
add_test(bibtexmltest bibtexmltest)
ecm_mark_as_test(bibtexmltest)
TARGET_LINK_LIBRARIES(bibtexmltest translatorstest core ${TELLICO_TEST_LIBS})

add_executable(citetest citetest.cpp
  ../collections/bibtexcollection.cpp
  ../core/filehandler.cpp
)
ecm_mark_nongui_executable(citetest)
add_test(citetest citetest)
ecm_mark_as_test(citetest)
TARGET_LINK_LIBRARIES(citetest cite tellicotest config images Qt5::Test)
ADD_DEPENDENCIES(citetest tellico_config)

add_executable(ciwtest ciwtest.cpp
  ../translators/ciwimporter.cpp
  ../translators/importer.cpp
)
ecm_mark_nongui_executable(ciwtest)
add_test(ciwtest ciwtest)
ecm_mark_as_test(ciwtest)
TARGET_LINK_LIBRARIES(ciwtest ${TELLICO_TEST_LIBS})

add_executable(csvtest csvtest.cpp
  ../translators/csvparser.cpp
  ../translators/csvexporter.cpp
  ../translators/exporter.cpp
)
ecm_mark_nongui_executable(csvtest)
add_test(csvtest csvtest)
ecm_mark_as_test(csvtest)
TARGET_LINK_LIBRARIES(csvtest ${TELLICO_CSV_LIBS} translatorstest ${TELLICO_TEST_LIBS})

add_executable(delicioustest delicioustest.cpp
  ../translators/deliciousimporter.cpp
)
ecm_mark_nongui_executable(delicioustest)
add_test(delicioustest delicioustest)
ecm_mark_as_test(delicioustest)
TARGET_LINK_LIBRARIES(delicioustest rtf2html-tellico translatorstest ${TELLICO_TEST_LIBS})

add_executable(filelistingtest filelistingtest.cpp
  ../translators/filelistingimporter.cpp
  ../translators/xmphandler.cpp
)
ecm_mark_nongui_executable(filelistingtest)
add_test(filelistingtest filelistingtest)
ecm_mark_as_test(filelistingtest)
TARGET_LINK_LIBRARIES(filelistingtest
  translatorstest
  ${TELLICO_TEST_LIBS}
  KF5::Solid
)
IF( KF5FileMetaData_FOUND )
  TARGET_LINK_LIBRARIES(filelistingtest KF5::FileMetaData)
ENDIF( KF5FileMetaData_FOUND )
IF( Exempi_FOUND )
  TARGET_LINK_LIBRARIES(filelistingtest ${Exempi_LIBRARIES})
ENDIF( Exempi_FOUND )

add_executable(gcstartest gcstartest.cpp
  ../translators/gcstarimporter.cpp
  ../translators/gcstarexporter.cpp
  ../translators/tellicoxmlexporter.cpp
  ../translators/tellicozipexporter.cpp
  ../translators/exporter.cpp
  ../document.cpp
)
ecm_mark_nongui_executable(gcstartest)
add_test(gcstartest gcstartest)
ecm_mark_as_test(gcstartest)
TARGET_LINK_LIBRARIES(gcstartest translatorstest ${TELLICO_TEST_LIBS})

add_executable(griffithtest griffithtest.cpp
  ../translators/griffithimporter.cpp
)
ecm_mark_nongui_executable(griffithtest)
add_test(griffithtest griffithtest)
ecm_mark_as_test(griffithtest)
TARGET_LINK_LIBRARIES(griffithtest translatorstest ${TELLICO_TEST_LIBS})

add_executable(htmlexportertest htmlexportertest.cpp
  ../translators/htmlexporter.cpp
  ../translators/tellicoxmlexporter.cpp
  ../translators/tellicozipexporter.cpp
  ../translators/exporter.cpp
  ../document.cpp
)
ecm_mark_nongui_executable(htmlexportertest)
add_test(htmlexportertest htmlexportertest)
ecm_mark_as_test(htmlexportertest)
TARGET_LINK_LIBRARIES(htmlexportertest translatorstest ${TELLICO_TEST_LIBS})

add_executable(modstest modstest.cpp)
ecm_mark_nongui_executable(modstest)
add_test(modstest modstest)
ecm_mark_as_test(modstest)
TARGET_LINK_LIBRARIES(modstest translatorstest ${TELLICO_TEST_LIBS})

add_executable(referencertest referencertest.cpp
  ../translators/referencerimporter.cpp
)
ecm_mark_nongui_executable(referencertest)
add_test(referencertest referencertest)
ecm_mark_as_test(referencertest)
TARGET_LINK_LIBRARIES(referencertest translatorstest ${TELLICO_TEST_LIBS})

add_executable(ristest ristest.cpp
  ../translators/risimporter.cpp
  ../translators/importer.cpp
)
ecm_mark_nongui_executable(ristest)
add_test(ristest ristest)
ecm_mark_as_test(ristest)
TARGET_LINK_LIBRARIES(ristest ${TELLICO_TEST_LIBS})

add_executable(tellicoreadtest tellicoreadtest.cpp
  ../translators/tellicoxmlexporter.cpp
  ../translators/tellicozipexporter.cpp
  ../translators/exporter.cpp
  ../document.cpp
)
ecm_mark_nongui_executable(tellicoreadtest)
add_test(tellicoreadtest tellicoreadtest)
ecm_mark_as_test(tellicoreadtest)
TARGET_LINK_LIBRARIES(tellicoreadtest translatorstest ${TELLICO_TEST_LIBS})

add_executable(vinoxmltest vinoxmltest.cpp
  ../translators/vinoxmlimporter.cpp
)
ecm_mark_nongui_executable(vinoxmltest)
add_test(vinoxmltest vinoxmltest)
ecm_mark_as_test(vinoxmltest)
TARGET_LINK_LIBRARIES(vinoxmltest translatorstest ${TELLICO_TEST_LIBS})

SET(fetcherstest_SRCS
  ../fetch/fetcher.cpp
  ../fetch/fetcherjob.cpp
  ../fetch/fetchresult.cpp
  ../fetch/fetchmanager.cpp
  ../fetch/messagehandler.cpp
  ../fetch/configwidget.cpp
  ../document.cpp
  ../translators/tellicoxmlexporter.cpp
  ../translators/tellicozipexporter.cpp
  ../translators/exporter.cpp
)

# FetchManager links to SRUFetcher for the default sources
# so have to include everything it needs
SET(fetcherstest_SRCS
  ${fetcherstest_SRCS}
  ../fetch/srufetcher.cpp
  ../fetch/xmlfetcher.cpp
  ../gui/lineedit.cpp
  ../gui/combobox.cpp
  ../gui/stringmapwidget.cpp
)

add_library(fetcherstest STATIC ${fetcherstest_SRCS})
TARGET_LINK_LIBRARIES(fetcherstest
  translatorstest
  Qt5::Core
  Qt5::Gui
  Qt5::DBus
