=== debian/changelog ===
tellico (3.2.1-2ubuntu1) focal; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Disable more network related tests.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 22 Oct 2019 14:27:18 -0600

tellico (3.2.1-2) unstable; urgency=medium

  * Backport upstream commits 43851a0a655a3a961f289087bdea989aa32cc028, and
    d3c56eca11cd059d4348ab6696822c23d85af61a to build with newer KF5; patches
    upstream_Fix-build-with-Qt-5.13.patch, and
    upstream_Fix-apparent-build-problem-on-Jenkins.patch.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Sep 2019 20:00:41 +0200

tellico (3.2.1-1ubuntu2) focal; urgency=medium

  * No-change rebuild for libbtparse soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Oct 2019 22:14:52 +0200

tellico (3.2.1-1ubuntu1) eoan; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Disable more network related tests.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 09:15:31 +0100

tellico (3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove the "+git" suffix from the version string, accidentally left by
    upstream; patch fix-version.diff.

 -- Pino Toscano <pino@debian.org>  Wed, 10 Jul 2019 06:14:53 +0200
