=== src/gui/CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,7 @@
    tablefieldwidget.cpp
    tabwidget.cpp
    treeview.cpp
+   urlfieldlogic.cpp
    urlfieldwidget.cpp
    )
