=== src/tests/CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,7 @@
 ecm_mark_as_test(formattest)
 TARGET_LINK_LIBRARIES(formattest config Qt5::Test)
 
-add_executable(fieldtest fieldtest.cpp ../field.cpp ../fieldformat.cpp)
+add_executable(fieldtest fieldtest.cpp ../field.cpp ../fieldformat.cpp ../gui/urlfieldlogic.cpp)
 ecm_mark_nongui_executable(fieldtest)
 add_test(fieldtest fieldtest)
 ecm_mark_as_test(fieldtest)
@@ -388,5 +388,3 @@
 TARGET_LINK_LIBRARIES(fetcherstest
   translatorstest
   Qt5::Core
-  Qt5::Gui
-  Qt5::DBus
