=== src/translators/CMakeLists.txt ===
--- 
+++ 
@@ -28,6 +28,7 @@
    grs1importer.cpp
    htmlexporter.cpp
    importer.cpp
+   librarythingimporter.cpp
    onixexporter.cpp
    pdfimporter.cpp
    referencerimporter.cpp
