=== debian/changelog ===
tellico (3.2.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:15:49 +0100

tellico (3.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 26 Nov 2019 07:15:16 +0100
