=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: tellico
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
-Build-Depends: debhelper (>= 11~)
+Build-Depends: debhelper-compat (= 12),
  , cmake, extra-cmake-modules
  , pkg-config, pkg-kde-tools, qtbase5-dev
  , libkf5archive-dev
@@ -36,8 +35,8 @@
  , gettext
  , xvfb, xauth, kio
 Build-Conflicts: libqimageblitz-dev
-Standards-Version: 4.4.0
-Homepage: http://tellico-project.org/
+Standards-Version: 4.4.1
+Homepage: https://tellico-project.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/tellico
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/tellico.git
