=== debian/watch ===
version=4
https://tellico-project.org/download/archive \
https://tellico-project.org/files/@PACKAGE@-([\d.]+)\.tar\.xz
